language: c
matrix:
  include:
    - compiler: gcc
      language: php
      php: 5.5
    - compiler: clang
      language: php
      php: 5.5
    - compiler: gcc
      language: php
      php: 5.4
    - compiler: clang
      language: php
      php: 5.4
before_install:
  - sudo apt-get update -qq
  - sudo apt-get install -qq swig php5-dev
before_script:
  - phpenv config-add src/bindings/php/hammer.ini
script: 
  - scons
after_script:
  - phpunit 
notifications:
  irc: "irc.upstandinghackers.com#hammer"
